#ifndef __STR_FIND_H
#include "str_find.h"
#endif

/**********************************************************************
 *  SPEC_C
 *
 *  spec_c    "&", "\"", ">"  "<" 
 *  &amp; &quot; &gt;  &lt; c.
 *    
 *     HTML.
 *
 *  :   UCHAR *stringz --  ;
 *                      int *n --  
 *
 *  : E_OK      .
 *
 *********************************************************************/
int spec_c( UCHAR *stringz, int *n)
{
  int iCol, il2, ierr;
/* ,     */
  iCol = 0;
  ierr = E_OK;
  while( iCol < *n )
  {
/*   */
    iCol=istrFind_FWD( stringz, (UCHAR *)"&", iCol, *n, &il2 );
    if( iCol == E_NO_OCCURENCE ) break;
    if( iCol < 0 ) goto ERROR;
/*   */
    ierr=istrReplace( stringz, iCol++, 1, (UCHAR *)"&amp;", *n );
  }
/* , */
  iCol = 0;
  ierr = E_OK;
  while( iCol < *n )
  {
/*   */
    iCol=istrFind_FWD( stringz, (UCHAR *)"\"", iCol, *n, &il2 );
    if( iCol == E_NO_OCCURENCE ) break;
    if( iCol < 0 ) goto ERROR;
/*   */
    ierr=istrReplace( stringz, iCol++, 1, (UCHAR *)"&quot;", *n );
  }
/* , */
  iCol = 0;
  ierr = E_OK;
  while( iCol < *n )
  {
/*   "" */
    iCol=istrFind_FWD( stringz, (UCHAR *)">", iCol, *n, &il2 );
    if( iCol == E_NO_OCCURENCE ) break;
    if( iCol < 0 ) goto ERROR;
/*   */
    ierr=istrReplace( stringz, iCol++, 1, (UCHAR *)"&gt;", *n );
  }
/* , */
  iCol = 0;
  ierr = E_OK;
  while( iCol < *n )
  {
/*   "" */
    iCol=istrFind_FWD( stringz, (UCHAR *)"<", iCol, *n, &il2 );
    if( iCol == E_NO_OCCURENCE ) break;
    if( iCol < 0 ) goto ERROR;
/*   */
    ierr=istrReplace( stringz, iCol++, 1, (UCHAR *)"&lt;", *n );
  }
/* , 
  iCol = 0;
  ierr = E_OK;
  while( iCol < *n )
  {
//   "" 
    iCol=istrFind_FWD( stringz, (UCHAR *)"", iCol, *n, &il2 );
    if( iCol == E_NO_OCCURENCE ) break;
    if( iCol < 0 ) goto ERROR;
//  
    ierr=istrReplace( stringz, iCol++, 1, (UCHAR *)"N", *n );
  } 
 Test! */
/* ,   */
    ERROR:
  ierr=iCol;
  return ierr;

}
/*   */
