#ifndef __STR_FIND_H
#define __STR_FIND_H
/******************************************************************
 *
 * STR_FIND.H --    ,   
 *  .
 *
******************************************************************/

/*  */

#define E_OK            0  /*  */
#define E_NO_OCCURENCE  -1 /*  */
#define E_BAD_STR       -2 /*   ( )*/
#define E_BAD_SUBSTR    -3 /*  ( )*/
#define E_BAD_NUM       -4 /*   */
#define E_BAD_MEMORY_HEAP -5 /*     */

/*    */
#ifndef UCHAR
#define UCHAR unsigned char
#endif

/* */

#ifdef __cplusplus
extern "C" {
#endif

int isvalid_str( UCHAR *, int, int* ); /*    */
int isvalid_strs( UCHAR *, UCHAR *, int, int, int*, int*, int* ); /*    */
int istrFind_FWD( UCHAR*, UCHAR*, int, int, int*); /*  ""*/
int istrFind_BWD( UCHAR*, UCHAR*, int, int, int*); /*  ""*/
int istrDel( UCHAR *, int, int, int, UCHAR * ); /*""  */
int istrIns( UCHAR *, UCHAR*, int, int, UCHAR * );
int istrRepl( UCHAR*, int, int, UCHAR *, int, UCHAR * );
int istrDelete( UCHAR *, int, int, int ); /*""   */
int istrInsert( UCHAR *, UCHAR*, int, int ); /*    */
int istrReplace( UCHAR*, int, int, UCHAR *, int ); /*    */

int post_lex_strn( UCHAR *, int *n); /*  --   POSTLEX.S */
int fontlex( UCHAR *, int * ); /*  --   FONTLEX.S */

int spec_c( UCHAR *, int * ); /*    ( .  
                                        Pre-HTML */

#ifdef __cplusplus
}
#endif

#endif
