/********************************************************************
 *
 *      GNU GCC.
 *
********************************************************************/

/**********************************************************
 *
 * SIMPSCAN.H
 *
 * Copyleft Yuri A. Denisov (yudenisov). All Right Reserved.
 * Version 1.01.
 *
 * This is a header file for text scaner functions and
 * definitions.
 *
 *      : " "
 *      .
 *
***********************************************************/

#ifndef __SIMPSCAN_H
#define __SIMPSCAN_H

#ifndef __STR_FIND.H
#include "str_find.h"
#endif

/* #ifndef __MEM_MODL_H
#include <mem_modl.h>
#endif */

#ifndef __WORDS0_H
#include "words0.h"
#endif

#ifndef __RUSENG_H
#include "ruseng.h"
#endif

#ifndef __STDLIB_H
#include <stdlib.h>
#endif

/* #ifndef __ALLOC_H
#include <alloc.h>
#endif */

#ifndef __STRING_H
#include <string.h>
#endif

#ifndef __STDIO_H
#include <stdio.h>
#endif

/* Define Variables */

#define FILE_STRING_LENGTH  255
#define WORD_STRING_LENGTH  WORD_SIZE
#define NEW_STR_LENGTH      STRING_SIZE

/* Define Functions */

#ifdef __cplusplus
extern "C" {
#endif

short sValid_Word_s( UCHARS **, UCHARS *, int * );
short sValid_Word( UCHARS **, UCHARS *, int *, int, int );
UCHARS * sCopyToWord( UCHARS * );

#ifdef __cplusplus
}
#endif

#endif
