#ifndef __STR_FIND_H
#include "str_find.h"
#endif

#ifndef __STRING_H
#include <string.h>
#endif

/*****************************************************************************
* 㭪 post_lex.
* 㭪 post_lex ࠡ⠥  ᫥饬 :
* *  ⥪ <Alt+255>[1-7].
* *    뢠騩  ⥪ <Alt+255>0.
* * ᫨  ⥪  ப  室,   ப
    ⠢ <Alt+255>0.
* *  ⥪ <Alt+255>_ .
* *    뢠騩  ⥪ <Alt+255>. .
* * ᫨  ⥪  ப  室,   ப
    ⠢ <Alt+255>. .
* *  ⬠.
*
* 짮⥫᪨ ६:
 *
 * ࠬ 㭪樨: UCHAR *stringz -- ப,  ன  ⥪,
 *                    int *n --  ப.
 *
 * 㭪 頥: E_OK  ᯥ譮 襭.
 *  㤠  祭:
 *                              E_BAD_STR
 *                              E_BAD_SUBSTR
 *                              E_BAD_NUM
 *                              E_BAD_MEMORY_HEAP
 *
*
***************************************************************************/
int post_lex_strn( UCHAR *stringz, int *n)
{
  int iCol, iCond, il2, ierr;
  UCHAR cc, cd[2]={0xff,0x00};
/* 樠 */
  iCond=0;
  iCol = 0;
  ierr = E_OK;
  while( iCol < *n )
  {
/*  ⥪ [1-7] */
    iCol=istrFind_FWD( stringz, &cd[0], iCol, *n, &il2 );
    if( iCol == E_NO_OCCURENCE ) break;
    if( iCol < 0 ) goto ERROR;
    cc=stringz[++iCol];
/*-----------------06/11/03 19:23-------------------
 ᫨ ।騩 ⥪ 0
--------------------------------------------------*/
    if( iCond == 0 )
      switch( cc )
      {
/*-----------------06/11/03 19:25-------------------
 ᫨ 䨪 -- ᬥ 䮭,    ⥪.
--------------------------------------------------*/
	  case '1' :
	  case '2' :
	  case '3' :
	  case '4' :
	  case '5' :
    case '6' :
	  case '7' :
    case '8' :
    case '9' :
	    iCond = 1;
	    goto B1;
/*-----------------06/11/03 19:26-------------------
 ᫨ 䨪 -- 室  砫쭮 ,  㤠 䨪
--------------------------------------------------*/
	  case '0' :
/* ᫨ ।騩 ⥪ -- 0,  㤠 ⥪饣 ⥪. */
	    {
	      if( (ierr = istrDelete( stringz, --iCol, 2,  *n ) ) != E_OK )
	      {
		iCol = ierr; goto ERROR;
	      }
	      goto B1;
	    }
/*-----------------06/11/03 19:29-------------------
 ᫨ 㣮 ,  ய᪠ .
--------------------------------------------------*/
	  default:
	    goto B1;
      }
/*-----------------06/11/03 19:30-------------------
 ᫨ ।騩 ⥪ -- ᬥ :
--------------------------------------------------*/
     else if (iCond == 1 )
      switch( cc )
      {
/*-----------------06/11/03 19:25-------------------
 ᫨ 䨪 -- ᬥ 䮭,  ⠢ 䨪
 '室  砫쭮 ᨬ'.
--------------------------------------------------*/
	  case '1' :
	  case '2' :
	  case '3' :
	  case '4' :
	  case '5' :
    case '6' :
	  case '7' :
    case '8' :
    case '9' :
	    {
	      if( (ierr = istrInsert( stringz, (UCHAR *)"\xff\x30", --iCol,  *n)  ) != E_OK )
	      {
		iCol = ierr; goto ERROR;
	      }
	      iCol +=3;
	      goto B1;
	    }
/*-----------------06/11/03 19:26-------------------
 ᫨ 䨪 -- 室  砫쭮 ,  ᬥ ⥪.
--------------------------------------------------*/
	  case '0' :
/* ᫨ ।騩 ⥪ -- 0,  㤠 ⥪饣 ⥪. */
	      iCond = 0;
	      goto B1;
	default:
	  goto B1;
      }
    else goto ERROR;
    B1:;
  }
/*  横 [1-7] */
  if( iCond == 1 )
  {
    stringz[strlen((const char *)stringz)-1] = '\0';
    strncat( (char *)stringz, "\xff\x30\n", *n );
  }
/* 室  砫 䠩   横. */
/* 樠 */
  iCond=0;
  iCol = 0;
  ierr = E_OK;
  while( iCol < *n )
  {
/*  ⥪ [_.] */
    iCol=istrFind_FWD( stringz, &cd[0], iCol, *n, &il2 );
    if( iCol == E_NO_OCCURENCE ) break;
    if( iCol < 0 ) goto ERROR;
    cc=stringz[++iCol];
/*-----------------06/11/03 19:23-------------------
 ᫨ ।騩 ⥪ .
--------------------------------------------------*/
    if( iCond == 0 )
      switch( cc )
      {
/*-----------------06/11/03 19:25-------------------
 ᫨ 䨪 -- ᬥ 䮭,    ⥪.
--------------------------------------------------*/
    case '_' :
	    iCond = 1;
	    goto B2;
/*-----------------06/11/03 19:26-------------------
 ᫨ 䨪 -- 室  砫쭮 ,  㤠 䨪
--------------------------------------------------*/
    case '.' :
/* ᫨ ।騩 ⥪ -- 0,  㤠 ⥪饣 ⥪. */
	    {
	      if( (ierr = istrDelete( stringz, --iCol, 2,  *n ) ) != E_OK )
	      {
		iCol = ierr; goto ERROR;
	      }
	      goto B2;
	    }
/*-----------------06/11/03 19:29-------------------
 ᫨ 㣮 ,  ய᪠ .
--------------------------------------------------*/
	  default:
	    goto B2;
      }
/*-----------------06/11/03 19:30-------------------
 ᫨ ।騩 ⥪ -- _:
--------------------------------------------------*/
     else if (iCond == 1 )
      switch( cc )
      {
/*-----------------06/11/03 19:25-------------------
 ᫨ 䨪 -- ᬥ 䮭,  ⠢ 䨪
 '室  砫쭮 ᨬ'.
--------------------------------------------------*/
    case '_' :
	    {
        if( (ierr = istrInsert( stringz, (UCHAR *)"\xff\x2e", --iCol,  *n)  ) != E_OK )
	      {
		iCol = ierr; goto ERROR;
	      }
	      iCol +=3;
	      goto B2;
	    }
/*-----------------06/11/03 19:26-------------------
 ᫨ 䨪 -- 室  砫쭮 ,  ᬥ ⥪.
--------------------------------------------------*/
    case '.' :
/* ᫨ ।騩 ⥪ -- 0,  㤠 ⥪饣 ⥪. */
	      iCond = 0;
	      goto B2;
	default:
	  goto B2;
      }
    else goto ERROR;
    B2:;
  }
/*  横 [1-7] */
  if( iCond == 1 )
  {
    stringz[strlen((const char *)stringz)-1] = '\0';
    strncat( (char *)stringz, "\xff\x2e\n", *n );
  }
/*  横 [.] */
  return E_OK;
/* 室, ᫨ 訡 */
    ERROR:
  return iCol;
/*  ணࠬ */
}
