#ifndef __STR_FIND_H
#include "str_find.h"
#endif

/**********************************************************************
 * 㭪 SPEC_C
 *
 * 㭪 spec_c ந   "&", "\"", ">"  "<" 
 *  &amp; &quot; &gt;  &lt; c⢥⢥.
 *  ਬ  ८ࠧ
 * ⥪⮢ ଠ  ଠ HTML.
 *
 * ࠬ 㭪樨:   UCHAR *stringz -- 塞 ப;
 *                      int *n --  ப
 *
 * 頥 祭: E_OK ᫨  ଠ쭮   訡.
 *
 *********************************************************************/
int spec_c( UCHAR *stringz, int *n)
{
  int iCol, il2, ierr;
/* 樠, 横    ப*/
  iCol = 0;
  ierr = E_OK;
  while( iCol < *n )
  {
/*  ᥭ */
    iCol=istrFind_FWD( stringz, (UCHAR *)"&", iCol, *n, &il2 );
    if( iCol == E_NO_OCCURENCE ) break;
    if( iCol < 0 ) goto ERROR;
/*  ᥭ */
    ierr=istrReplace( stringz, iCol++, 1, (UCHAR *)"&amp;", *n );
  }
/* 樠, 横*/
  iCol = 0;
  ierr = E_OK;
  while( iCol < *n )
  {
/*  窨 */
    iCol=istrFind_FWD( stringz, (UCHAR *)"\"", iCol, *n, &il2 );
    if( iCol == E_NO_OCCURENCE ) break;
    if( iCol < 0 ) goto ERROR;
/*  窨 */
    ierr=istrReplace( stringz, iCol++, 1, (UCHAR *)"&quot;", *n );
  }
/* 樠, 横*/
  iCol = 0;
  ierr = E_OK;
  while( iCol < *n )
  {
/*   "" */
    iCol=istrFind_FWD( stringz, (UCHAR *)">", iCol, *n, &il2 );
    if( iCol == E_NO_OCCURENCE ) break;
    if( iCol < 0 ) goto ERROR;
/*   */
    ierr=istrReplace( stringz, iCol++, 1, (UCHAR *)"&gt;", *n );
  }
/* 樠, 横*/
  iCol = 0;
  ierr = E_OK;
  while( iCol < *n )
  {
/*   "" */
    iCol=istrFind_FWD( stringz, (UCHAR *)"<", iCol, *n, &il2 );
    if( iCol == E_NO_OCCURENCE ) break;
    if( iCol < 0 ) goto ERROR;
/*   */
    ierr=istrReplace( stringz, iCol++, 1, (UCHAR *)"&lt;", *n );
  }
/* 樠, 横
  iCol = 0;
  ierr = E_OK;
  while( iCol < *n )
  {
//   "" 
    iCol=istrFind_FWD( stringz, (UCHAR *)"", iCol, *n, &il2 );
    if( iCol == E_NO_OCCURENCE ) break;
    if( iCol < 0 ) goto ERROR;
//  
    ierr=istrReplace( stringz, iCol++, 1, (UCHAR *)"N", *n );
  } 
 Test! */
/* 室, ᫨ 訡 */
    ERROR:
  ierr=iCol;
  return ierr;

}
/*  ணࠬ */
