/********************************************************************
 *
 *      Inprise/Borland C++.
 *
********************************************************************/

/**********************************************************
 *
 *       
 *  - "" .   
 *     , 
 *    .
 *
 * Copyleft 2005-2007  .  (yudenisov) All Rirgt Reserved.
 * Version 1.01.
 *
***********************************************************/

#define STRICT

#ifndef __WINDOWS_H
#include <windows.h>
#endif

#ifndef __SIMPSCAN_H
#include "simpscan.h"
#endif

/***********************************************************
 *
 * Function sValid_Word_s
 *
 *      main_str,   index,
 *      newstr,
 *       
 * (  )    
 *      .
 *
 *  
 *   new_str    --  ,    ;
 *   main_str   --    ;
 *   index      --     .
 *
 *  
 *   E_OK 		--    ;
 *   E_BAD_MEMORY_HEAP  --      ;
 *   E_BAD_NUM          --  ,    .
 *
 *  :
 *   LocalAlloc, LocalFree, LocalLock, LocalUnlock,
 *   is_valid_symbol
 *
***********************************************************/

short WINAPI sValid_Word_s( HLOCAL *hstr, HLOCAL hmain_str, short *index )
{
	UCHAR cValid_symbol;
	LPCSTR main_str = NULL;
	UCHAR *new_str = NULL;
	HLOCAL hnew_str;

	short i;

 /*     WORD_SIZE (30 ) */
	
	hnew_str = LocalAlloc( LHND, WORD_SIZE*sizeof( UCHAR ) );
	if( hnew_str == NULL )
	{
		*hstr = hnew_str;
		return E_BAD_MEMORY_HEAP;
	}

 /*      */

	new_str = (UCHAR *)LocalLock( hnew_str );
	if( new_str == NULL )
	{
		*hstr = hnew_str;
		return E_BAD_MEMORY_HEAP;
	}

 /*     main_str,  */
 /* E_BAD_NUM,   new_str  */

    if( *index > NEW_STR_LENGTH)
	{
		LocalUnlock( hnew_str );
		*hstr = hnew_str;
		return E_BAD_NUM;
	}
	
	main_str = (LPSTR) LocalLock( hmain_str );
	if( main_str == NULL )
	{
		LocalUnlock( hnew_str );
		*hstr = hnew_str;
		return E_BAD_MEMORY_HEAP;
	}

	if( main_str[*index] == '\0')
	{
		LocalUnlock( hmain_str );
		LocalUnlock( hnew_str );
		*hstr = hnew_str;
		return E_BAD_NUM;
	}

 /*   main_str      */
 /* NEW_STR_LENGTH */

	for( i=0; i < NEW_STR_LENGTH, main_str[*index]; i++ )
	{


 /*     *index  . */
 /*   ,      i */
 /*  new_str.    */
 /*    E_OK ( ) */

	    cValid_symbol = is_valid_symbol( *index, (UCHAR *)main_str );
	    (*index)++;
	    if( cValid_symbol )
		 new_str[i] = cValid_symbol;
	    else
	    {
		LocalUnlock( hmain_str );
		LocalUnlock( hnew_str );
		*hstr = hnew_str;
		return E_OK;
	    }
	}

	LocalUnlock( hmain_str );
	LocalUnlock( hnew_str );
	*hstr = hnew_str;
	return E_OK;

 /*  .    new_str */

}

/***********************************************************
 *
 * Function sValid_Word
 *
 *      main_str,   index,
 *      newstr,
 *       
 * (  )    
 *      .
 *
 *  
 *   new_str    --  ,    ;
 *   main_str   --    ;
 *   index      --     .
 *   ilanguage  --  
 *   iCode_Tab  --   (   )
 *
 *  
 *   E_OK 		--    ;
 *   E_BAD_MEMORY_HEAP  --      ;
 *   E_BAD_NUM          --  ,    .
 *
 *  :
 *   LocalAlloc, LocalFree, LocalLock, LocalUnlock,
 *   is_valid_alphabet
 *
 *
***********************************************************/

short WINAPI sValid_Word( HLOCAL *hstr, HLOCAL hmain_str, short *index, short ilanguage, short iCode_Tab )
{
	UCHAR cValid_symbol;
	LPCSTR main_str = NULL;
	UCHAR *new_str = NULL;
	HLOCAL hnew_str;

	short i;

 /*     WORD_SIZE (30 ) */
	
	hnew_str = LocalAlloc( LHND, WORD_SIZE*sizeof( UCHAR ) );
	if( hnew_str == NULL )
	{
		*hstr = hnew_str;
		return E_BAD_MEMORY_HEAP;
	}

 /*      */

	new_str = (UCHAR *)LocalLock( hnew_str );
	if( new_str == NULL )
	{
		*hstr = hnew_str;
		return E_BAD_MEMORY_HEAP;
	}

 /*     main_str,  */
 /* E_BAD_NUM,   new_str  */

    if( *index > NEW_STR_LENGTH)
	{
		LocalUnlock( hnew_str );
		*hstr = hnew_str;
		return E_BAD_NUM;
	}
	
	main_str = (LPSTR) LocalLock( hmain_str );
	if( main_str == NULL )
	{
		LocalUnlock( hnew_str );
		*hstr = hnew_str;
		return E_BAD_MEMORY_HEAP;
	}

	if( main_str[*index] == '\0')
	{
		LocalUnlock( hmain_str );
		LocalUnlock( hnew_str );
		*hstr = hnew_str;
		return E_BAD_NUM;
	}

 /*   main_str      */
 /* NEW_STR_LENGTH */

	for( i=0; i < NEW_STR_LENGTH, main_str[*index]; i++ )
	{


 /*     *index  . */
 /*   ,      i */
 /*  new_str.    */
 /*    E_OK ( ) */

	    cValid_symbol = is_valid_alphabet( *index, (UCHAR *)main_str, ilanguage, iCode_Tab);
	    (*index)++;
	    if( cValid_symbol )
			new_str[i] = cValid_symbol;
	    else
	    {
		LocalUnlock( hmain_str );
		LocalUnlock( hnew_str );
		*hstr = hnew_str;
		return E_OK;
	    }
	}

	LocalUnlock( hmain_str );
	LocalUnlock( hnew_str );
	*hstr = hnew_str;
	return E_OK;

 /*  .    new_str */

}

/*********************************************************************
 *
 * Function sCopyToWord
 *
 *    WORD_SIZE   , 
 *  sValid_Word_s,     ,  
 *      .
 *
 *  
 *
 *  :
 *
 *  :
 *   LocalAlloc, LocalFree, LocalLock, LocalUnlock,
 *   strcpyn
 *
*********************************************************************/

HLOCAL WINAPI sCopyToWord( HLOCAL hOldStr )
{
	LPSTR sWord = NULL;
	LPCSTR OldStr;
	HLOCAL hsWord;
	if( hOldStr != NULL )
	{
		if( (OldStr = (LPCSTR) LocalLock( hOldStr )) != NULL );
		{
			if( (hsWord == LocalAlloc( LHND, WORD_SIZE*sizeof( char ) ) ) != NULL )
			{
				if( (sWord = LocalLock(hsWord) ) != NULL )
				{
					lstrcpyn( sWord, OldStr, WORD_SIZE );
				}
				else
				{
					(void) LocalFree( hsWord );
					(void) LocalUnlock( hOldStr );
					return NULL;
				}
			}
			else
			{
				(void) LocalUnlock(hOldStr);
				return NULL;
			}
		}
	}

	(void) LocalUnlock( hsWord );
	(void) LocalUnlock( hOldStr );
	(void) LocalFree( hOldStr );

	return hsWord;
}

